# Uses of Interface
org.eclipse.emf.cdo.expressions.ContainedObject

Packages that use ContainedObject
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.
org.eclipse.emf.cdo.lm.security.provider
The generated EMF edit support of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.security.provider
The generated EMF edit support of the CDO security model.

## Uses of ContainedObject in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return ContainedObject
Modifier and Type
Method
Description
`ContainedObject`
ExpressionsFactory.`createContainedObject()`
Returns a new object of class 'Contained Object'.

## Uses of ContainedObject in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement ContainedObject
Modifier and Type
Class
Description
`class`
`ContainedObjectImpl`
An implementation of the model object 'Contained Object'.
Methods in org.eclipse.emf.cdo.expressions.impl that return ContainedObject
Modifier and Type
Method
Description
`ContainedObject`
ExpressionsFactoryImpl.`createContainedObject()`

## Uses of ContainedObject in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util with parameters of type ContainedObject
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseContainedObject(ContainedObject object)`
Returns the result of interpreting the object as an instance of 'Contained Object'.

## Uses of ContainedObject in org.eclipse.emf.cdo.lm.security.provider

Methods in org.eclipse.emf.cdo.lm.security.provider with parameters of type ContainedObject
Modifier and Type
Method
Description
`Object`
LMSecurityItemProviderAdapterFactory.ExpressionsChildCreationExtender.CreationSwitch.`caseContainedObject(ContainedObject object)`

## Uses of ContainedObject in org.eclipse.emf.cdo.security.provider

Methods in org.eclipse.emf.cdo.security.provider with parameters of type ContainedObject
Modifier and Type
Method
Description
`Object`
SecurityItemProviderAdapterFactory.ExpressionsChildCreationExtender.CreationSwitch.`caseContainedObject(ContainedObject object)`
`Object`
SecurityItemProviderAdapterFactory.ExpressionsChildCreationExtender.CreationSwitch.`caseContainedObjectGen(ContainedObject object)`